<template>
<div class="class-page">
  <p style="font-size: 16px;padding:19.5px 0px">班次</p>
  <!-- <div class="search">
    <div class="search_thing">
      <div class="search_label">委托编号：</div>
      <div class="search_input"><el-input size="small" placeholder="请输入" clearable
      ></el-input></div>
    </div>
    <div class="search_thing" style="padding-left: 30px;">
      <el-button size="small" @click="refresh()">重 置</el-button>
      <el-button size="small" type="primary" @click="refreshTable()">查 询</el-button>
    </div>
  </div> -->
  <div class="center">
    <table border="1" class="tables table-right" cellpadding="16">
      <tr v-for="(item,index) in titleList" :key="'a'+index">
        <td :rowspan="3" v-if="index==0">序号</td>
        <td :rowspan="3" v-if="index==0">姓名</td>
        <td :rowspan="3" v-if="index==0">实验室</td>
        <td :rowspan="2" :colspan="2" v-if="index==0">
          <el-dropdown trigger="click" placement="bottom">
            <span style="cursor: pointer;">
              {{ currentYear }}
            </span>
            <el-dropdown-menu slot="dropdown">
              <el-dropdown-item v-for="(n,j) in yearList" :key="'b'+j">{{ n }}</el-dropdown-item>
            </el-dropdown-menu>
          </el-dropdown>
        </td>
        <td :rowspan="2" v-if="index==0">年</td>
        <td :rowspan="2" v-if="index==0">
          <el-dropdown trigger="click" placement="bottom">
            <span style="cursor: pointer;">
              {{ currentMonth }}
            </span>
            <el-dropdown-menu slot="dropdown">
              <el-dropdown-item v-for="(n,j) in mouthList" :key="'c'+j">{{ n }}</el-dropdown-item>
            </el-dropdown-menu>
          </el-dropdown>
        </td>
        <td :rowspan="2" v-if="index==0">月</td>
        <td :rowspan="2" v-if="index==0"></td>
        <td :rowspan="2" v-if="index==0"></td>
        <td v-if="index==2">出勤</td>
        <td v-if="index==2">休</td>
        <td v-if="index==2">请假</td>
        <td v-if="index==2">早</td>
        <td v-if="index==2">中</td>
        <td v-if="index==2">夜</td>
        <td v-if="index==2">夜12</td>
        <td v-for="(m,i) in item" :key="'d'+i">{{ m }}</td>
      </tr>
      <tr v-for="(item,index) in 22" :key="'e'+index">
        <td v-for="(m,i) in personList" :key="'f'+i">{{ m }}</td>
        <td v-for="(m,i) in classList" :key="'g'+i">
          <el-dropdown trigger="click" placement="bottom">
            <span style="cursor: pointer;">
              {{ m }}
            </span>
            <el-dropdown-menu slot="dropdown">
              <el-dropdown-item v-for="(n,j) in classType" :key="'h'+j">{{ n }}</el-dropdown-item>
            </el-dropdown-menu>
          </el-dropdown>
        </td>
      </tr>
    </table>
  </div>
</div>
</template>

<script>
export default {
  data () {
    return{
      titleList:[
        [
          '周次',
          "14",
          "14",
          "14",
          "14",
          "14",
          "14",
          "15",
          "15",
          "15",
          "15",
          "15",
          "15",
          "15",
          "16",
          "16",
          "16",
          "16",
          "16",
          "16",
          "16",
          "17",
          "17",
          "17",
          "17",
          "17",
          "17",
          "17",
          "18",
          "18",
          "18",
        ],
        [
          '星期',
          "周一",
          "周二",
          "周三",
          "周四",
          "周五",
          "周六",
          "周日",
          "周一",
          "周二",
          "周三",
          "周四",
          "周五",
          "周六",
          "周日",
          "周一",
          "周二",
          "周三",
          "周四",
          "周五",
          "周六",
          "周日",
          "周一",
          "周二",
          "周三",
          "周四",
          "周五",
          "周六",
          "周日",
          "周二",
          "周三",
        ],
        [
          '出差',
          "1",
          "2",
          "3",
          "4",
          "5",
          "6",
          "7",
          "8",
          "9",
          "10",
          "11",
          "12",
          "13",
          "14",
          "15",
          "15",
          "17",
          "18",
          "19",
          "20",
          "21",
          "22",
          "23",
          "24",
          "25",
          "26",
          "27",
          "28",
          "29",
          "30",
        ],
      ],
      classList:['0','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早','早'],
      classType:[
        '早班',
        '中班',
        '晚班',
      ],
      personList:[
        1,
        '李媛媛',
        '材料',
        "26.5",
        3,
        0.5,
        26.5,
        0,
        0,
        0,
      ],
      yearList:[
        '2019',
        '2020',
        '2021',
        '2022',
        '2023',
        '2024',
        '2025',
      ],
      mouthList:[
        1,
        2,
        3,
        4,
        5,
        6,
        7,
        8,
        9,
        10,
        11,

      ],
      currentYear:new Date().getFullYear(),
      currentMonth:new Date().getMonth()+1,
    }
  },
  methods: {

  }
}
</script>

<style scoped>
.search {
  background-color: #fff;
  height: 80px;
  display: flex;
  align-items: center;
  margin-bottom: 16px;
}

.search_thing {
  display: flex;
  align-items: center;
  height: 50px;
}

.search_label {
  width: 120px;
  font-size: 14px;
  text-align: right;
}

.search_input {
  width: calc(100% - 120px);
}
.center {
  width: calc(100% - 40px);
  /* height: calc(100% - 60px - 80px - 40px); */
  height: calc(100% - 100px );
  background-color: #fff;
  border-radius: 3px;
  padding: 20px;
  overflow-y: auto;
  overflow-x: auto;
  display: flex;
}
.tables{
  table-layout: fixed;
}
td {
  vertical-align: middle;
  text-align: center;
  min-width: 50px;
  box-sizing: border-box;
  padding: 6px 4px;
  word-break: keep-all; /* 防止单词内断行 */
}
</style>
